Bug 1809379 - pulseaudio-13.0-2 breaks HDMI audio out
Summary: pulseaudio-13.0-2 breaks HDMI audio out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 00:43 UTC by Travis Suel
Modified: 2020-03-19 01:43 UTC (History)
4 users (show)

Fixed In Version: pulseaudio-13.99.1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-19 01:43:52 UTC
Type: Bug


Attachments (Terms of Use)
lspci -v output (9.00 KB, text/plain)
2020-03-03 00:43 UTC, Travis Suel
no flags Details

Description Travis Suel 2020-03-03 00:43:13 UTC
Created attachment 1667101 [details]
lspci -v output

Description of problem:

After updating to pulseaudio-13.0-2, sound over HDMI out is not available. The list of available device profiles no longer has any Digital Stereo or Digital Surround options, only Analog Stereo Output and Off. I rebuilt the pulseaudio RPMs without the Carbon X1 patches and full functionality is restored. Problem exists across all three kernels I have installed (5.4.20, 5.5.5, and 5.5.6).

Version-Release number of selected component (if applicable):
13.0-2


How reproducible:
Always


Steps to Reproduce:
1. Update to pulseaudio-13.0-2
2. Reboot
3. Try to select digital output, necessary profiles are missing

Actual results:
Cannot route audio output through HDMI or DisplayPort

Expected results:
Can route audio output through HDMI or DisplayPort


Additional info:

Laptop: System76 Darter Pro (2019)
All Intel hardware including graphics and audio. Kernel is not tainted. lspci output attached.

Comment 1 Fedora Update System 2020-03-09 20:34:46 UTC
pulseaudio-13.99.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3e19f5098

Comment 2 Travis Suel 2020-03-10 23:16:25 UTC
Upgraded to 13.99.1 from updates-testing and everything works as expected.

Comment 3 Fedora Update System 2020-03-19 01:43:52 UTC
pulseaudio-13.99.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.